﻿using System.Collections.Generic;
using System.ServiceModel;
using Less.SRV;
using Less.Core;
using Less.Core.Model;

namespace Less.WCF
{
    [ServiceContract]
    public interface ILog:IReadLogService,IWriteLogService
    {
        [OperationContract]
        new List<LogEntry> GetAll();
        [OperationContract]
        new List<LogEntry> GetBySeverity(EntrySeverities minSeverity);
        [OperationContract]
        new void Insert(LogEntry logEntry);
    }
}
