﻿using System.Collections.Generic;
using Less.Core;
using Less.Core.Model;

namespace Less.WCF
{
    public class LogWCF : SRV.LogSRV, ILog
    {
        #region ILogService Members
        public new List<LogEntry> GetAll()
        {
            return Web.Templates.FunctionTemplate(base.GetAll, EntryCategories.WCF);
        }
        public new List<LogEntry> GetBySeverity(EntrySeverities minSeverity)
        {
            return Web.Templates.FunctionTemplate(base.GetBySeverity, minSeverity);
        }
        public new void Insert(LogEntry logEntry)
        {
            Web.Templates.ActionTemplate(base.Insert, logEntry, EntryCategories.WCF);
        }
        #endregion
    }
}