﻿using System.Collections.Generic;
using Less.Core.Model;

namespace Less.SRV
{
    public interface IConfigService
    {
        List<ConfigSetting> GetAll();
        ConfigSetting Get(int id);
        ConfigSetting GetByCode(string code);
        ConfigSetting Create(ConfigSetting instance);
        void Update(ConfigSetting instance);
        void Delete(int id);
        IEnumerable<ConfigSetting> GetAllTransalations();
        IEnumerable<ConfigSetting> GetTransalationsByCode(string code);
        ConfigSetting Write(ConfigSetting instance);
    }
}
