﻿using System.Collections.Generic;
using Less.Core;
using Less.Core.Model;

namespace Less.SRV
{
    public interface IReadLogService
    {
        List<LogEntry> GetAll();
        List<LogEntry> GetBySeverity(EntrySeverities severity);
        List<LogEntry> GetByMinSeverity(EntrySeverities minSeverity);
        List<LogEntry> GetLast(int count);
        List<LogEntriesBySeveritySummary> GetLogEntriesBySeveritySummary();
    }

    public interface IWriteLogService
    {
        void Insert(LogEntry logEntry);
    }
}
