﻿using System.Web.Mvc;
using LessBoard.Models;
using Less.Core;

namespace LessBoard.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            try
            {
                ViewBag.Message = "Welcome to LessFramework Administration Board!";
                var model = new PanelModel();
                return View(model);
            }
            catch (System.Exception e)
            {
                Log.Error(e,EntryCategories.Web);
                // TODO: Report error to user
                return new EmptyResult();
            }
        }

        public ActionResult About()
        {
            return View();
        }
    }
}