﻿using System.Collections.Generic;
using Less.SRV;
using Less.Core.Model;

namespace LessBoard.Models
{
    public class SecurityModel
    {
        static SecuritySRV SRV = new SecuritySRV();

        public IEnumerable<User> Users
        {
            get { return SRV.GetAllUsers(); }
        }
        public IEnumerable<Role> Roles
        {
            get { return SRV.GetAllRoles(); }
        }
    }
}