﻿using System;
using System.ServiceModel.Activation;
using System.Web;
using System.Web.Routing;

namespace Less.REST
{
    public class Global : HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            RegisterRoutes();
        }

        
        private void RegisterRoutes()
        {
            RouteTable.Routes.Add(new ServiceRoute("Config", new WebServiceHostFactory(), typeof(ConfigREST)));
            RouteTable.Routes.Add(new ServiceRoute("Log", new WebServiceHostFactory(), typeof(LogREST)));
        }
        
   }
}
