﻿namespace Less.Core
{
    #region EntryCategories enum
    /// <summary>
    /// Used to know the subsystem that writes the entry
    /// </summary>
    public enum EntryCategories
    {
        App,
        Base,
        Config,
        Core,
        Database,
        Files,
        LessDb,
        Log,
        Model,
        NetWork,
        REST,
        Security,
        System,
        Test,
        Web,
        WCF,
        Windows
    }
    #endregion
    #region EntrySeverities enum
    /// <summary>
    /// used to categorize an entry. The greater the importance
    /// </summary>
    public enum EntrySeverities
    {
        Debug,
        Info,
        Warning,
        Metric,
        Error,
        Fatal
    }
    #endregion
    ///// <summary>
    ///// A formal definition for an log entry
    ///// </summary>
    //public class LogEntry : Less.DAL.Model.LogEntry
    //{
        
    //}
}
