﻿using System;
using Less.Core;

namespace Less.Core.Model
{
    public class LogEntriesBySeveritySummary
    {
        public EntrySeverities Severity { get; set; }
        public int Count { get; set; }
        public DateTime LastMessage { get; set; }
        public LogEntriesBySeveritySummary()
        {
        }
        public LogEntriesBySeveritySummary(EntrySeverities severity, int count, DateTime lastMessage)
        {
            Severity = severity;
            Count = count;
            LastMessage = lastMessage;
        }
    }
}
