﻿using System.Collections.Generic;
using Less.Core.Model;

namespace Less.SRV
{
    public interface IReadSecurityService
    {
        List<User> GetAllUsers();
        List<Role> GetAllRoles();
    }


    public interface IWriteSecurityService
    {
        void InsertUser(User user);
        void UpdateUser(User user);
        void DeleteUser(User user);
    }
}